Open SCAP Library

Public Member Functions | Data Fields
oval_variable_binding Struct Reference
OVAL » OVALSYS

Binding of an value to an OVAL variable. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions
struct oval_variable_binding * | oval_variable_binding_new (struct oval_variable *, char *)
struct oval_variable_binding * | oval_variable_binding_clone (struct oval_variable_binding *, struct oval_definition_model *)
void | oval_variable_binding_free (struct oval_variable_binding *)
Setters
void | oval_variable_binding_set_variable (struct oval_variable_binding *, struct oval_variable *)
void | oval_variable_binding_add_value (struct oval_variable_binding *, char *)
Getters
struct oval_variable * | oval_variable_binding_get_variable (struct oval_variable_binding *)
| Get variable for this binding.
struct oval_string_iterator * | oval_variable_binding_get_values (struct oval_variable_binding *)
| Get value of this binding.

## Data Fields
struct oval_variable * | variable
struct oval_collection * | values

## Detailed Description

Binding of an value to an OVAL variable.

The documentation for this struct was generated from the following files:

- oval_variableBinding.c
- oval_system_characteristics.h